#pragma once
#include<exception>
#include <stdexcept>

/// <summary>
///  This class implements the custom exceptions for the project
/// </summary>
class CProjecteMuseusException : public std::runtime_error
{
	friend ostream &operator<<(ostream &output, const CProjecteMuseusException &obj) 
	{
		output << obj.what();
		return output;
	}
public:
	CProjecteMuseusException(const std::string& what) : std::runtime_error("CProjecteMuseusException:"+what) {}
	~CProjecteMuseusException(void) throw() {}
};

