#pragma once
#include <string>
#include <iostream>
#include <map>
#include <opencv2/core/core.hpp>
#include <opencv2/highgui/highgui.hpp>
#include <opencv2/imgproc/imgproc.hpp> 
#include "Obra.h"

using namespace cv;
using namespace std;
class centroide
{
public:
	centroide(void);
	~centroide(void);
	double distancia(Obra obr);
	Mat getHist_r(void);
	Mat getHist_g(void);
	Mat getHist_b(void);
	int getId(void);
	int getClass(void);
	void setClass(int aClassID);
	void setHist_r(Mat p_r_hist);
	void setHist_g(Mat p_g_hist);
	void setHist_b(Mat p_b_hist);
private:

	int m_id; 
	int m_fold; 
	int m_classID;  
	Mat r_hist, g_hist, b_hist;
};

