#include "centroide.h" 
#include <string>
#include <iostream>
#include <map>
#include <opencv2/core/core.hpp>
#include <opencv2/highgui/highgui.hpp>
#include <opencv2/imgproc/imgproc.hpp> 
#include "Obra.h"

using namespace cv;
using namespace std;


centroide::centroide(void)
{
}


centroide::~centroide(void)
{
}


// calcula la distancia d'un centroide amb una obra
double centroide::distancia(Obra obr) {
	double resultat =  compareHist(r_hist, obr.getHist_r(), 1) +
					   compareHist(g_hist, obr.getHist_g(), 1) +
		               compareHist(b_hist, obr.getHist_b(), 1);

	resultat = resultat / 3;
	cout << "---------------- distancia centroide i obra -----------------------------" << endl;
	cout << "centroide"; cout << m_id << endl;
	cout << "obra"; cout << obr.getId() << endl;
	cout << resultat << endl;
	return resultat;
}

Mat centroide::getHist_r(void){return r_hist;}
Mat centroide::getHist_g(void){return g_hist;}
Mat centroide::getHist_b(void){return b_hist;}
void centroide::setHist_r(Mat p_r_hist){
     r_hist = p_r_hist ;
}
void centroide::setHist_g(Mat p_g_hist){
     g_hist = p_g_hist ;
}
void centroide::setHist_b(Mat p_b_hist){
     b_hist = p_b_hist;
}

int centroide::getId(void){return m_id;}
void centroide::setClass(int aClassID)  {
     m_classID = aClassID ;
}

int centroide::getClass(void){
	return m_classID;
}

